Subject: Security Requirements are missing

From: Paal Engelstad <[email-masked]>
Date: Wed, 13 Feb 2002 2:44:05 +0100

Hi folks.

I agree with Erik, here. I think the security issues that he raises is so important that I changed thread... 

It seems like the working group has not taken security considerations serious yet. It might be a general belief that since the PANA protocol is only a "carrier" it does not need to deal with security issues.

I have recently pointed out on the list that this might be a serious misconception. The Reflection Attack example that I mentioned (which I believe is right) should be enough to exemplify this fact: A Challenge/Response mechanisms that is designed for running in only one  direction (e.g. from access server to client), will suddenly be exposed to reflection attacks when run in both directions (e.g. PANA).

So, security is relative to the environment! 

I don't think we can just steal authentication mechanisms that are designed for one environment and one purpose, and port it into PANA without thinking twice. In other words, we need to work on the security requirements to be "prepared". Saying that PANA is only a "carrier" might be too easy.

I just wonder, how is the most efficient way for the working group to address this?
 
Should the requirement team go and work a little more, or should we take it on the list?

At least I think we should put "security requirements" on our "open issues" list so we don't forget about it.

Paal

> 
> Fra: Erik Nordmark <[email-masked]>
> Dato: 2002/02/12 Tue PM 10:28:38 CET
> Til: [email-masked]
> Tema: Security and draft-ietf-pana-requirements-00
> 
> 
> I searched for "security" in the requirements document and I didn't find
> much. Looking for "threat" shows nothing. One paragraph on "attack".
> 
> I suspect this area needs a lot more focused energy.
> 
>   Erik
> 
>